from typing import List
import networkx as nx
from evrouting.gasstation.T import N


def dijkstra(G: nx.Graph, u: N, v: N, weight: str = 'weight') -> List[N]:
    try:
        return nx.algorithms.shortest_path(G, u, v, weight=weight)
    except nx.NetworkXNoPath:
        return []


def fold_path(G: nx.Graph, path: List[N], weight: str):
    return sum([G.edges[u, v][weight] for u, v in zip(path[:-1], path[1:])])
